Site Tools


Differences

This shows you the differences between two versions of the page.

Link to this comparison view

developer:rhinocommonsamples:addsphere [2015/09/14] (current)
Line 1: Line 1:
 +===== Sample: Add Sphere =====
 +
 +===== C# =====
 +<code c#>
 +public static Rhino.Commands.Result AddSphere(Rhino.RhinoDoc doc)
 +{
 +  Rhino.Geometry.Point3d center = new Rhino.Geometry.Point3d(0,​ 0, 0);
 +  const double radius = 5.0;
 +  Rhino.Geometry.Sphere sphere = new Rhino.Geometry.Sphere(center,​ radius);
 +  if( doc.Objects.AddSphere(sphere) != Guid.Empty )
 +  {
 +    doc.Views.Redraw();​
 +    return Rhino.Commands.Result.Success;​
 +  }
 +  return Rhino.Commands.Result.Failure;​
 +}
 +</​code>​
 +===== VB.NET =====
 +<code vb>
 +Public Shared Function AddSphere(ByVal doc As Rhino.RhinoDoc) As Rhino.Commands.Result
 +  Dim center As New Rhino.Geometry.Point3d(0,​ 0, 0)
 +  Const radius As Double = 5.0
 +  Dim sphere As New Rhino.Geometry.Sphere(center,​ radius)
 +  If doc.Objects.AddSphere(sphere) <> Guid.Empty Then
 +    doc.Views.Redraw()
 +    Return Rhino.Commands.Result.Success
 +  End If
 +  Return Rhino.Commands.Result.Failure
 +End Function
 +</​code>​
 +===== Python =====
 +<code python>
 +import Rhino
 +import scriptcontext
 +import System.Guid
 +
 +def AddSphere():​
 +    center = Rhino.Geometry.Point3d(0,​ 0, 0)
 +    radius = 5.0
 +    sphere = Rhino.Geometry.Sphere(center,​ radius)
 +    if scriptcontext.doc.Objects.AddSphere(sphere)!=System.Guid.Empty:​
 +        scriptcontext.doc.Views.Redraw()
 +        return Rhino.Commands.Result.Success
 +    return Rhino.Commands.Result.Failure
 +
 +
 +if __name__ == "​__main__":​
 +    AddSphere()
 +</​code>​
 +
 +{{tag>​Developer rhinocommon}}
  
developer/rhinocommonsamples/addsphere.txt ยท Last modified: 2015/09/14 (external edit)